<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2022 PrestaShop SA
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * This function updates your module from previous versions to the version 1.1,
 * usefull when you modify your database, or register a new hook ...
 * Don't forget to create one file per version.
 */
function upgrade_module_1_2_0($module)
{
    if (!Configuration::get('PS_SILKPAY_AWAIT')) {
        $state = new OrderState();
        $state->invoice = false;
        $state->send_email = false;
        $state->module_name = 'silkpay';
        $state->color = '#34209E';
        $state->unremovable = true;
        $state->hidden = false;
        $state->logable = false;
        $state->delivery = false;
        $state->shipped = false;
        $state->paid = false;
        $state->pdf_delivery = false;
        $state->pdf_invoice = false;
        $state->deleted = false;
        foreach (Language::getLanguages() as $lang) {
            $state->name[$lang['id_lang']] = 'Awaiting payment';
        }
        if ($state->save()) {
            Configuration::updateValue('PS_SILKPAY_AWAIT', $state->id);
        }
    }
    Db::getInstance()->execute('TRUNCATE ' . _DB_PREFIX_ . 'silkpay');
    return $module->registerHook('displayOrderDetail');
}
